<template>
    <div class="row">
        <div class="col-auto">
            <label for="numberInput" class="col-form-label">Имя</label>
            <input class="form-control" id="numberInput" v-model="name">
        </div>
        <div class="col-auto mt-auto">
            <button type="button" class="btn btn-default" @click="addPresentation">
                Добавить
                <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor" class="bi bi-plus-square" viewBox="0 0 16 16">
                    <path fill-rule="evenodd" d="M14 1H2a1 1 0 0 0-1 1v12a1 1 0 0 0 1 1h12a1 1 0 0 0 1-1V2a1 1 0 0 0-1-1zM2 0a2 2 0 0 0-2 2v12a2 2 0 0 0 2 2h12a2 2 0 0 0 2-2V2a2 2 0 0 0-2-2H2z"/>
                    <path fill-rule="evenodd" d="M8 4a.5.5 0 0 1 .5.5v3h3a.5.5 0 0 1 0 1h-3v3a.5.5 0 0 1-1 0v-3h-3a.5.5 0 0 1 0-1h3v-3A.5.5 0 0 1 8 4z"/>
                </svg>
            </button>
        </div>
    </div>
</template>

<script>
    import { BudgetPresentationsService } from '../../services/budgetPresentationsService'
    import { defaultHandleErrorFunction } from '@/services/http-common'

    export default {
        name: 'BudgetPresentationAdd',
        props: {
            municipalityId: Number
        },
        emits: [ 'presentationAdded' ],
        data() {
            return {
                name: ""
            }
        },
        methods: {
            addPresentation() {
                const budgetPresentationsService = new BudgetPresentationsService();
                budgetPresentationsService
                    .create({
                        MunicipalityId: this.municipalityId,
                        Name: this.name,
                    })
                    .then(response => this.$emit('presentationAdded'))
                    .catch(defaultHandleErrorFunction);
            }
        }
    };
</script>